    #include "qcadjsapi_global.h"

    #include "RAction.h"
    #include "RActionAdapter.h"
    #include "RAddObjectOperation.h"
    #include "RAddObjectsOperation.h"
    #include "RArc.h"
    #include "RArcEntity.h"
    #include "RArcExporter.h"
    #include "RAttributeDefinitionEntity.h"
    #include "RAttributeEntity.h"
    #include "RAutoLoadJs.h"
    #include "RBlock.h"
    #include "RBlockListener.h"
    #include "RBlockListenerAdapter.h"
    #include "RBlockReferenceData.h"
    #include "RBlockReferenceEntity.h"
    #include "RBox.h"
    #include "RCadToolBar.h"
    #include "RChangePropertyOperation.h"
    #include "RCharacterWidget.h"
    #include "RCircle.h"
    #include "RCircleEntity.h"
    #include "RClickReferencePointOperation.h"
    #include "RClipboardOperation.h"
    #include "RClipboardOperation.h"
    #include "RCloseCurrentEvent.h"
    #include "RColor.h"
    #include "RColorCombo.h"
    #include "RComboBox.h"
    #include "RCommandEvent.h"
    #include "RCommandEvent.h"
    #include "RCommandLine.h"
    #include "RCoordinateEvent.h"
    #include "RCoordinateListener.h"
    #include "RCoordinateListenerAdapter.h"
    #include "RCopyOperation.h"
    #include "RDebug.h"
    #include "RDeleteAllEntitiesOperation.h"
    #include "RDeleteObjectOperation.h"
    #include "RDeleteObjectsOperation.h"
    #include "RDeleteSelectionOperation.h"
    #include "RDimAlignedEntity.h"
    #include "RDimAngular2LEntity.h"
    #include "RDimAngular3PEntity.h"
    #include "RDimAngularEntity.h"
    #include "RDimArcLengthEntity.h"
    #include "RDimDiametricEntity.h"
    #include "RDimLinearEntity.h"
    #include "RDimOrdinateEntity.h"
    #include "RDimRadialEntity.h"
    #include "RDimRotatedEntity.h"
    #include "RDimStyle.h"
    #include "RDimStyleData.h"
    #include "RDimStyleProxy.h"
    #include "RDimensionEntity.h"
    #include "RDirected.h"
    #include "RDockWidget.h"
    #include "RDocument.h"
    #include "RDocumentInterface.h"
    #include "RDocumentVariables.h"
    #include "RDxfServices.h"
    #include "REllipse.h"
    #include "REllipseEntity.h"
    #include "REllipseProxy.h"
    #include "REntity.h"
    #include "REntityData.h"
    #include "REntityExportListener.h"
    #include "REntityPickEvent.h"
    #include "REventFilter.h"
    #include "REventHandler.h"
    #include "REventHandler.h"
    #include "RExplodable.h"
    #include "RExportListener.h"
    #include "RExportListenerAdapter.h"
    #include "RExporter.h"
    #include "RFaceEntity.h"
    #include "RFileCache.h"
    #include "RFileExporter.h"
    #include "RFileExporterAdapter.h"
    #include "RFileExporterFactory.h"
    #include "RFileExporterFactory.h"
    #include "RFileExporterFactoryAdapter.h"
    #include "RFileExporterRegistry.h"
    #include "RFileExporterRegistry.h"
    #include "RFileImporter.h"
    #include "RFileImporterAdapter.h"
    #include "RFileImporterFactory.h"
    #include "RFileImporterFactory.h"
    #include "RFileImporterFactoryAdapter.h"
    #include "RFileImporterRegistry.h"
    #include "RFileImporterRegistry.h"
    #include "RFileSystemModel.h"
    #include "RFlowLayout.h"
    #include "RFocusListener.h"
    #include "RFocusListenerAdapter.h"
    #include "RFont.h"
    #include "RFontChooserWidget.h"
    #include "RFontList.h"
    #include "RGlobal.h"
    #include "RGraphicsScene.h"
    #include "RGraphicsSceneDrawable.h"
    #include "RGraphicsView.h"
    #include "RGraphicsViewQt.h"
    #include "RGraphicsViewImage.h"
    #include "RGraphicsViewWorker.h"
    #include "RGrid.h"
    #include "RGuiAction.h"
    #include "RHatchData.h"
    #include "RHatchEntity.h"
    #include "RImageEntity.h"
    #include "RImportListener.h"
    #include "RImportListenerAdapter.h"
    #include "RImporter.h"
    #include "RInputEvent.h"
    #include "RInterTransactionListener.h"
    #include "RInterTransactionListenerAdapter.h"
    #include "RKeyListener.h"
    #include "RKeyListenerAdapter.h"
    #include "RLayer.h"
    #include "RLayerListener.h"
    #include "RLayerListenerAdapter.h"
    #include "RLayerProxy.h"
    #include "RLayerState.h"
    #include "RLayout.h"
    #include "RLeaderEntity.h"
    #include "RLine.h"
    #include "RLineEntity.h"
    #include "RLinetype.h"
    #include "RLinetypeCombo.h"
    #include "RLinetypeList.h"
    #include "RLinetypeListImperial.h"
    #include "RLinetypeListMetric.h"
    #include "RLinetypePattern.h"
    #include "RLineweight.h"
    #include "RLineweightCombo.h"
    #include "RLinkedStorage.h"
    #include "RListView.h"
    #include "RListWidget.h"
    #include "RLocalPeer.h"
    #include "RLockedFile.h"
    #include "RMainWindow.h"
    #include "RMainWindowQt.h"
    #include "RMath.h"
    #include "RMathComboBox.h"
    #include "RMathLineEdit.h"
    #include "RMatrix.h"
    #include "RMdiArea.h"
    #include "RMdiArea.h"
    #include "RMdiChildQt.h"
    #include "RMemoryStorage.h"
    #include "RMessageHandler.h"
    #include "RMessageHandler.h"
    #include "RMetaTypes.h"
    #include "RMixedOperation.h"
    #include "RModifiedListener.h"
    #include "RModifyObjectOperation.h"
    #include "RModifyObjectsOperation.h"
    #include "RMouseCoordinateListener.h"
    #include "RMouseEvent.h"
    #include "RMouseEvent.h"
    #include "RMoveReferencePointOperation.h"
    #include "RMoveSelectionOperation.h"
    #include "RNavigationAction.h"
    #include "RNewDocumentListener.h"
    #include "RNonCopyable.h"
    #include "RObject.h"
    #include "ROperation.h"
    #include "ROperationUtils.h"
    #include "ROrthoGrid.h"
    #include "RPainterPath.h"
    #include "RPainterPathDevice.h"
    #include "RPainterPathEngine.h"
    #include "RPainterPathExporter.h"
    #include "RPainterPathSource.h"
    #include "RPaletteListener.h"
    #include "RPaletteListenerAdapter.h"
    #include "RPasteOperation.h"
    #include "RPasteOperation.h"
    #include "RPattern.h"
    #include "RPatternLine.h"
    #include "RPatternList.h"
    #include "RPatternListImperial.h"
    #include "RPatternListMetric.h"
    #include "RPenListener.h"
    #include "RPenListenerAdapter.h"
    #include "RPluginInfo.h"
    #include "RPluginInterface.h"
    #include "RPluginLoader.h"
    #include "RPoint.h"
    #include "RPointEntity.h"
    #include "RPolyline.h"
    #include "RPolylineEntity.h"
    #include "RPolylineProxy.h"
    #include "RPreferencesListener.h"
    #include "RPreferencesListenerAdapter.h"
    #include "RProgressHandler.h"
    #include "RProgressHandler.h"
    #include "RProperty.h"
    #include "RPropertyAttributes.h"
    #include "RPropertyChange.h"
    #include "RPropertyEditor.h"
    #include "RPropertyEvent.h"
    #include "RPropertyListener.h"
    #include "RPropertyListenerAdapter.h"
    #include "RPropertyTypeId.h"
    #include "RRay.h"
    #include "RRayEntity.h"
    #include "RRefPoint.h"
    #include "RRequireHeap.h"
    #include "RResourceList.h"
    #include "RRestrictAngleLength.h"
    #include "RRestrictAngleLength.h"
    #include "RRestrictHorizontal.h"
    #include "RRestrictOff.h"
    #include "RRestrictOff.h"
    #include "RRestrictOrthogonal.h"
    #include "RRestrictVertical.h"
    #include "RRuler.h"
    #include "RRulerQt.h"
    #include "RRunner.h"
    #include "RS.h"
    #include "RScaleSelectionOperation.h"
    #include "RScriptAction.h"
    #include "RScriptHandler.h"
    #include "RScriptHandlerRegistry.h"
    #include "RSelectionChangedEvent.h"
    #include "RSelectionListener.h"
    #include "RSelectionListenerAdapter.h"
    #include "RSettings.h"
    #include "RShape.h"
    #include "RShapeProxy.h"
    #include "RShapesExporter.h"
    #include "RSingleApplication.h"
    #include "RSingleton.h"
    #include "RSnap.h"
    #include "RSnapAuto.h"
    #include "RSnapAuto.h"
    #include "RSnapCenter.h"
    #include "RSnapDistance.h"
    #include "RSnapEnd.h"
    #include "RSnapEntityBase.h"
    #include "RSnapFree.h"
    #include "RSnapFree.h"
    #include "RSnapGrid.h"
    #include "RSnapGrid.h"
    #include "RSnapIntersection.h"
    #include "RSnapListener.h"
    #include "RSnapMiddle.h"
    #include "RSnapOnEntity.h"
    #include "RSnapPerpendicular.h"
    #include "RSnapReference.h"
    #include "RSnapRestriction.h"
    #include "RSnapTangential.h"
    #include "RSolidEntity.h"
    #include "RSpatialIndex.h"
    #include "RSpatialIndexNavel.h"
    #include "RSpatialIndexSimple.h"
    #include "RSpatialIndexVisitor.h"
    #include "RSpline.h"
    #include "RSplineEntity.h"
    #include "RSplineProxy.h"
    #include "RStorage.h"
    #include "RStorageBlockSort.h"
    #include "RStorageLayerSort.h"
    #include "RTabletEvent.h"
    #include "RTerminateEvent.h"
    #include "RTextBasedData.h"
    #include "RTextBasedEntity.h"
    #include "RTextEdit.h"
    #include "RTextEntity.h"
    #include "RTextLabel.h"
    #include "RTextLayout.h"
    #include "RTextProxy.h"
    #include "RTextRenderer.h"
    #include "RTextRenderer.h"
    #include "RThread.h"
    #include "RToleranceEntity.h"
    #include "RToolButton.h"
    #include "RToolOptionEventFilter.h"
    #include "RTraceEntity.h"
    #include "RTransaction.h"
    #include "RTransactionEvent.h"
    #include "RTransactionListener.h"
    #include "RTransactionListenerAdapter.h"
    #include "RTransactionStack.h"
    #include "RTransform.h"
    #include "RTransformOp.h"
    #include "RTransformation.h"
    #include "RTranslation.h"
    #include "RTreeWidget.h"
    #include "RTriangle.h"
    #include "RUcs.h"
    #include "RUcsListener.h"
    #include "RUnit.h"
    #include "RVector.h"
    #include "RVersion.h"
    #include "RView.h"
    #include "RViewFocusListener.h"
    #include "RViewFocusListenerAdapter.h"
    #include "RViewListener.h"
    #include "RViewListenerAdapter.h"
    #include "RViewportData.h"
    #include "RViewportEntity.h"
    #include "RWipeoutData.h"
    #include "RWipeoutEntity.h"
    #include "RWheelEvent.h"
    #include "RWidget.h"
    #include "RXLine.h"
    #include "RXLineEntity.h"
    #include "RToolMatrixItemDelegate.h"
    #include "RSpatialIndexVisitorAdapter.h"
    #include "RStemmer.h"

    #include "RJSType_qcad.h"

    #include "generator/cpp/qobject_wrapper.h"
    #include "generator/cpp/qcoreevent_wrapper.h"
